## section-general

section-general

## Functions

void | flickcurl_array_free ()
char * | flickcurl_array_join ()
char ** | flickcurl_array_split ()

## Types and Values

#define | FLICKCURL_DEPRECATED
#define | FLICKCURL_MAX_ACTIVITY_EVENTS

## Description

## Functions

### flickcurl_array_free ()

    void
    flickcurl_array_free (char *array[]);

Free an array.

#### Parameters

array | C array |

### flickcurl_array_join ()

    char *
    flickcurl_array_join (const char *array[],
                          char delim);

Join elements of a C array into a string

#### Parameters

array | C array |
delim | delimeter character |

#### Returns

newly allocated string or NULL on failure

### flickcurl_array_split ()

    char **
    flickcurl_array_split (const char *str,
                           char delim);

Split a string into a C array

#### Parameters

str | string |
delim | delimeter character |

#### Returns

newly allocated array or NULL on failure

## Types and Values

### FLICKCURL_DEPRECATED

    #define FLICKCURL_DEPRECATED

deprecated

### FLICKCURL_MAX_ACTIVITY_EVENTS

    #define FLICKCURL_MAX_ACTIVITY_EVENTS 20

Max number of activity events.